#' Example dominance matrices
#'
#' @docType data
#'
#' @format A named list with dominance matrices:
#' \itemize{
#' \item \code{badgers}: 7 badgers (Hewitt et al 2009, Fig. A1 PO2004)
#' \item \code{squirrels}: 8 squirrels (Farentinos 1972, Table 1C)
#' \item \code{elephants}: 7 elephants (Archie et al 2006, Fig. 2, JA)
#' }
#'
#' @keywords datasets
#'
#' @references
#' \insertRef{farentinos1972}{EloRating}
#'
#' \insertRef{archie2006}{EloRating}
#'
#' \insertRef{hewitt2009}{EloRating}
#'
#' @examples
#' data(dommats)

"dommats"
